libzypp 17.37.10

DefaultLoadSystem.h File Reference
`#include <iosfwd>`
`#include <zypp/Pathname.h>`
`#include <zypp/base/Flags.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::misc

## Enumerations
enum | zypp::misc::LoadSystemFlag { zypp::misc::LS_READONLY = (1 << 0) , zypp::misc::LS_NOREFRESH = (1 << 1) , zypp::misc::LS_NOREPOS = (1 << 2) }
| Bits for tuning defaultLoadSystem. More...

## Functions
void | zypp::misc::defaultLoadSystem (const Pathname &sysRoot_r="/", LoadSystemFlags flags_r=LoadSystemFlags())
| Create the ZYpp instance and load target and enabled repositories.
void | zypp::misc::defaultLoadSystem (LoadSystemFlags flags_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.